<template>
  <div class="Safe">
    <div class="top">
      <div class="titleC">
        <span>园区企业安全监管情况</span>
      </div>
      <div class="Safetop_center">
        <div class="left">
          <div class="content">
            <img
              class="img_box"
              src="../../../assets/image/Left/deng4.png"
              alt=""
            />
            <div class="text_box">
              <p class="p1">一般隐患</p>
              <p class="p2">
                <span>{{ YQAQYH.generalReportedNum }}</span
                >个
              </p>
            </div>
          </div>
          <div class="content">
            <img
              class="img_box"
              src="../../../assets/image/Left/deng4.png"
              alt=""
            />
            <div class="text_box">
              <p class="p1">重大隐患</p>
              <p class="p3">
                <span>{{ YQAQYH.seriouReportedNum }}</span
                >个
              </p>
            </div>
          </div>
          <div class="content">
            <img
              class="img_box"
              src="../../../assets/image/Left/deng3.png"
              alt=""
            />
            <div class="text_box">
              <p class="p1">即将到期隐患</p>
              <p class="p4">
                <span>{{ YQAQYH.sumAbarbeitungNum }}</span
                >个
              </p>
            </div>
          </div>
          <div class="content">
            <img
              class="img_box"
              src="../../../assets/image/Left/deng2.png"
              alt=""
            />
            <div class="text_box">
              <p class="p1">隐患治理率</p>
              <p class="p5">
                <span>{{ parseInt(YQAQYH.ratio) }}</span
                >%
              </p>
            </div>
          </div>
        </div>
        <div class="right">
          <div id="right_chart1"></div>
          <div id="right_chart2"></div>
        </div>
      </div>
    </div>
    <div class="bottom">
      <div class="titleC">
        <span>园区企业整改情况</span>
      </div>
      <div class="bottom_content">
        <scrool></scrool>
      </div>
    </div>

  </div>
</template>

<script>
import scrool from "./scrollnew.vue";
import { axios_post } from "@/until/request";
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {
    scrool,
  },

  data() {
    //这里存放数据
    return {
      YQAQYH: {},
      toptwo: [],
    };
  },
  mounted() {
    this.GetYQAQJGState();
    this.GetAQJGFL();
  },
  //方法集合
  methods: {
    //园区安全监管状况
    GetYQAQJGState() {
      axios_post("/safe/corpSafeSupervise").then((response) => {
        this.YQAQYH = response.data;
      });
    },
    //安全监管分类统计
    GetAQJGFL() {
      axios_post("/safe/countHiddenDanger").then((response) => {
        let echartData = [];
        let AllNumber = 0;
        for (let i = 0; i < response.data.length; i++) {
          let obj = {
            name: response.data[i].type,
            value: response.data[i].sumReportedNum,
          };
          AllNumber += response.data[i].sumReportedNum;
          echartData.push(obj);
        }

        let tem;
        var all = 0;
        for (var i = 0; i < echartData.length - 1; i++) {
          all += echartData[i].value;
          //确定轮数
          for (var j = 0; j < echartData.length - i - 1; j++) {
            //确定每次比较的次数
            if (echartData[j].value < echartData[j + 1].value) {
              tem = echartData[j];
              echartData[j] = echartData[j + 1];
              echartData[j + 1] = tem;
            }
          }
        }

        echartData[0].percentum = parseInt((echartData[0].value / all) * 100);
        echartData[1].percentum = parseInt((echartData[1].value / all) * 100);
        this.toptwo = [echartData[0], echartData[1]];

        this.$nextTick(() => {
          this.rightChart1(this.toptwo[0]);
          this.rightChart2(this.toptwo[1]);
        });
        // this.drawChart3(echartData, AllNumber);
      });
    },
    rightChart1(res) {
      const gaugeData = [
        {
          value: res.percentum,
          name: res.name,
          title: {
            offsetCenter: ["0%", "145%"],
          },
          detail: {
            valueAnimation: true,
            offsetCenter: ["0%", "4%"],
          },
        },
      ];
      let option = {
        series: [
          {
            type: "gauge",
            radius: "65%",
            center: ["50%", "38%"],
            itemStyle: {
              normal: {
                color: new this.$echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  {
                    offset: 0,
                    color: "#00FFF4",
                  },
                  {
                    offset: 1,
                    color: "#076F83",
                  },
                ]),
                // color: "#5c5dd3",
                //  borderWidth: 5, //就是在这里加宽度
              },
            },
            startAngle: 90,
            endAngle: -270,
            pointer: {
              show: false,
            },
            progress: {
              show: true,
              overlap: false,
              roundCap: false,
              clip: false,
              itemStyle: {
                borderWidth: 1,
                borderColor: "#5c5dd3",
              },
            },
            axisLine: {
              // lineStyle: {
              //   width: 15,
              // },
              lineStyle: {
                // 属性lineStyle控制线条样式
                width: 15,
                color: [[1, "#ccc"]], //轴线的不同位置的颜色
                opacity: 0.15, //图形透明度。支持从 0 到 1 的数字，为 0 时不绘制该图形。
                shadowColor: "black",
                shadowBlur: 0,
                shadowOffsetX: 0,
              },
            },
            splitLine: {
              show: false,
              distance: 0,
              length: 10,
            },
            axisTick: {
              show: false,
            },
            axisLabel: {
              show: false,
              distance: 50,
            },
            data: gaugeData,
            title: {
              fontSize: 36,
              fontWeight: 800,
              color: "#fff",
            },
            detail: {
              fontSize: 50,
              color: "#00FFF4",
              borderColor: "auto",
              borderRadius: 20,
              borderWidth: 0,
              formatter: "{value}%",
            },
          },
          {
            name: "外侧环线",
            type: "gauge",
            //半径
            radius: "70%",
            startAngle: 90, // 仪表盘起始角度,默认 225。圆心 正右手侧为0度，正上方为90度，正左手侧为180度。
            endAngle: -270,
            center: ["50%", "38%"],
            //仪表盘轴线相关配置。
            axisLine: {
              // 坐标轴线
              show: true,
              lineStyle: {
                // 属性lineStyle控制线条样式
                width: 1,
                color: [[1, "#ccc"]],
                opacity: 0.3,
              },
            },
            //分隔线样式。
            splitLine: {
              show: false,
            },
            //刻度样式
            axisTick: {
              show: false,
            },
            //刻度标签。
            axisLabel: {
              show: false,
            },
            //仪表盘指针。
            pointer: {
              //这个show属性好像有问题，因为在这次开发中，需要去掉指正，我设置false的时候，还是显示指针，估计是BUG吧，我用的echarts-3.2.3；希望改进。最终，我把width属性设置为0，成功搞定！
              show: false,
            },
            //仪表盘标题。
            title: {
              show: false,
            },
            //仪表盘详情，用于显示数据。
            detail: {
              show: false,
            },
            zlevel: 1,
          },
        ],
      };
      let myChart = this.$echarts.init(document.getElementById("right_chart1"));
      myChart.setOption(option);
      window.addEventListener("resize", function () {
        myChart.resize();
      });
    },
    rightChart2(res) {
      const gaugeData = [
        {
          value: res.percentum,
          name: res.name,
          title: {
            offsetCenter: ["0%", "145%"],
          },
          detail: {
            valueAnimation: true,
            offsetCenter: ["0%", "4%"],
          },
        },
      ];
      let option = {
        series: [
          {
            type: "gauge",
            radius: "65%",
            center: ["50%", "38%"],
            itemStyle: {
              normal: {
                color: new this.$echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  {
                    offset: 0,
                    color: "#FFCB00",
                  },
                  {
                    offset: 1,
                    color: "#725D26",
                  },
                ]),
                // color: "#5c5dd3",
                //  borderWidth: 5, //就是在这里加宽度
              },
            },
            startAngle: 90,
            endAngle: -270,
            pointer: {
              show: false,
            },
            progress: {
              show: true,
              overlap: false,
              roundCap: false,
              clip: false,
              itemStyle: {
                borderWidth: 1,
                borderColor: "#5c5dd3",
              },
            },
            axisLine: {
              // lineStyle: {
              //   width: 15,
              // },
              lineStyle: {
                // 属性lineStyle控制线条样式
                width: 15,
                color: [[1, "#ccc"]], //轴线的不同位置的颜色
                opacity: 0.15, //图形透明度。支持从 0 到 1 的数字，为 0 时不绘制该图形。
                shadowColor: "black",
                shadowBlur: 0,
                shadowOffsetX: 0,
              },
            },
            splitLine: {
              show: false,
              distance: 0,
              length: 10,
            },
            axisTick: {
              show: false,
            },
            axisLabel: {
              show: false,
              distance: 50,
            },
            data: gaugeData,
            title: {
              fontSize: 36,
              fontWeight: 800,
              color: "#fff",
            },
            detail: {
              fontSize: 50,
              color: "#FFCB00",
              borderColor: "auto",
              borderRadius: 20,
              borderWidth: 0,
              formatter: "{value}%",
            },
          },
          {
            name: "外侧环线",
            type: "gauge",
            //半径
            radius: "70%",
            startAngle: 90, // 仪表盘起始角度,默认 225。圆心 正右手侧为0度，正上方为90度，正左手侧为180度。
            endAngle: -270,
            center: ["50%", "38%"],
            //仪表盘轴线相关配置。
            axisLine: {
              // 坐标轴线
              show: true,
              lineStyle: {
                // 属性lineStyle控制线条样式
                width: 1,
                color: [[1, "#ccc"]],
                opacity: 0.3,
              },
            },
            //分隔线样式。
            splitLine: {
              show: false,
            },
            //刻度样式
            axisTick: {
              show: false,
            },
            //刻度标签。
            axisLabel: {
              show: false,
            },
            //仪表盘指针。
            pointer: {
              //这个show属性好像有问题，因为在这次开发中，需要去掉指正，我设置false的时候，还是显示指针，估计是BUG吧，我用的echarts-3.2.3；希望改进。最终，我把width属性设置为0，成功搞定！
              show: false,
            },
            //仪表盘标题。
            title: {
              show: false,
            },
            //仪表盘详情，用于显示数据。
            detail: {
              show: false,
            },
            zlevel: 1,
          },
        ],
      };
      let myChart = this.$echarts.init(document.getElementById("right_chart2"));
      myChart.setOption(option);
      window.addEventListener("resize", function () {
        myChart.resize();
      });
    },
  },
  created() {},
};
</script>
<style lang='less' scoped>
//@import url(); 引入公共css类
.Safe {
  height: 100%;
  width: 84%;
  .top {
    height: 50%;
    overflow: hidden;

    .Safetop_center {
      display: flex;
      justify-content: space-between;
      align-items: center;
      flex-wrap: wrap;
      height: calc(100% - 40px);
      .left {
        width: 100%;
        height: 50%;
        display: flex;
        justify-content: space-between;
        align-items: center;
        flex-wrap: wrap;
        padding-top: 20px;
        box-sizing: border-box;
        .content {
          width: 49%;
          height: 42%;
          background: url("../../../assets/image/Left/anquanbg.png") no-repeat
            center;
          background-size: 100% 100%;
          display: flex;
          // justify-content:space-between;
          align-items: center;
          padding-left: 40px;
          box-sizing: border-box;
          .img_box {
            width: 70px;
            height: 70px;
            margin-right: 120px;
          }
          .text_box {
            .p1 {
              font-size: 20px;
              color: #ffffff;
            }
            .p2 {
              font-size: 20px;
              color: #ffffff;
              span {
                color: #adf1ff;
                font-size: 40px;
              }
            }
            .p3 {
              font-size: 20px;
              color: #ffffff;
              span {
                color: #f9cd00;
                font-size: 40px;
              }
            }
            .p4 {
              font-size: 20px;
              color: #ffffff;
              span {
                color: #c1befa;
                font-size: 40px;
              }
            }
            .p5 {
              font-size: 20px;
              color: #ffffff;
              span {
                color: #88a6e0;
                font-size: 40px;
              }
            }
          }
        }
      }
      .right {
        width: 100%;
        height: 50%;
        display: flex;
        justify-content: space-between;
        #right_chart1 {
          width: 49%;
          height: 100%;
        }
        #right_chart2 {
          width: 49%;
          height: 100%;
        }
      }
    }
  }
  .bottom {
    height: 50%;
    overflow: hidden;
    .bottom_content {
      padding-top: 20px;
      box-sizing: border-box;
      width: 100%;
      height: calc(100% - 40px);
    }
  }
}
.titleC {
  width: 100%;
  height: 44px;
  background-image: url(../../../assets/images/titleC.png);
  background-size: 100% 100%;
  font-family: MytitileName;
  font-size: 24px;
  display: flex;
  align-items: center;
  color: #98deff;
  text-indent: 70px;
  letter-spacing: 3px;

  span {
    width: 74%;
    height: 80%;
    display: flex;
    align-items: center;
  }

}
</style>